

#' Critical Values
#' 
#' Critical values for the 90 \% Hall-Wellner band.
#' 
#' These values are taken from the book by Klein & Moeschberger.
#' 
#' @name critical.value.hall.90
#' @docType data
#' @source Klein, Moeschberger (2002): Survival Analysis, Springer.
#' @keywords datasets
NULL





#' Critical Values
#' 
#' Critical values for the 95 \% Hall-Wellner band.
#' 
#' These values are taken from the book by Klein & Moeschberger.
#' 
#' @name critical.value.hall.95
#' @docType data
#' @source Klein, Moeschberger (2002): Survival Analysis, Springer
#' @keywords datasets
NULL





#' Critical Values
#' 
#' Critical values for the 99 \% Hall-Wellner band.
#' 
#' These values are taken from the book by Klein & Moeschberger.
#' 
#' @name critical.value.hall.99
#' @docType data
#' @source Klein, Moeschberger (2002): Survival Analysis, Springer.
#' @keywords datasets
NULL





#' Critical Values
#' 
#' Critical values for the 90 \% equal precision band by Nair.
#' 
#' These values are taken from the book by Klein & Moeschberger.
#' 
#' @name critical.value.nair.90
#' @docType data
#' @source Klein, Moeschberger (2002): Survival Analysis, Springer.
#' @keywords datasets
NULL





#' Critical Values
#' 
#' Critical values for the 95 \% equal precision band by Nair.
#' 
#' These values are taken from the book by Klein & Moeschberger.
#' 
#' @name critical.value.nair.95
#' @docType data
#' @source Klein, Moeschberger (2002): Survival Analysis, Springer.
#' @keywords datasets
NULL





#' Critical Values
#' 
#' Critical values for the 99 \% equal precision band by Nair.
#' 
#' These values are taken from the book by Klein & Moeschberger.
#' 
#' @name critical.value.nair.99
#' @docType data
#' @source Klein, Moeschberger (2002): Survival Analysis, Springer.
#' @keywords datasets
NULL





#' Rectum carcinoma data set.
#' 
#' The rectum data contains 205 persons from a study about the survival of
#' patients with rectum carcinoma. Due to the severe course of disease the
#' follow-up was almost perfect in these data and involves hardly any censoring
#' and survivors. The data was used to analyze the behavior of the confidence
#' intervals in data sets with low censoring rate.
#' 
#' 
#' @name rectum.dat
#' @docType data
#' @format A data frame with 205 observations on the following 2 variables.
#' \describe{ \item{time}{Time in months} \item{status}{Status
#' at dropout} }
#' @source Merkel, Mansmann et al.(2001).The prognostic inhomogeneity in pT3
#' rectal carcinomas.  Int J Colorectal Dis.16, 305--306.
#' @keywords datasets
NULL



